diff --git a/utils/CMakeLists.txt b/utils/CMakeLists.txt
--- a/utils/CMakeLists.txt
+++ b/utils/CMakeLists.txt
@@ -264,7 +264,7 @@
     )
 
 target_include_directories(sbtools PUBLIC ${CMAKE_CURRENT_LIST_DIR}/imxtools/sbtools)
-target_link_libraries(sbtools PUBLIC rbtomcrypt)
+target_link_libraries(sbtools PUBLIC tomcrypt)
 
 add_library(mkmpioboot
     mkmpioboot/mkmpioboot.c
@@ -328,35 +328,41 @@ else()
     message("-- Found libbz2: ${LIBBZ2}")
 endif()
 
-add_library(rbtomcrypt
-    tomcrypt/src/ciphers/aes/aes.c
-    tomcrypt/src/ciphers/aes/aes_tab.c
-    tomcrypt/src/misc/crypt/crypt_argchk.c
-    tomcrypt/src/misc/crypt/crypt_register_cipher.c
-    tomcrypt/src/misc/crypt/crypt_cipher_is_valid.c
-    tomcrypt/src/misc/crypt/crypt_cipher_descriptor.c
-    tomcrypt/src/misc/zeromem.c
-    tomcrypt/src/misc/compare_testvector.c
-    tomcrypt/src/modes/cbc/cbc_start.c
-    tomcrypt/src/modes/cbc/cbc_decrypt.c
-    tomcrypt/src/modes/cbc/cbc_encrypt.c
-    tomcrypt/src/hashes/sha1.c
-    tomcrypt/src/headers/tomcrypt_argchk.h
-    tomcrypt/src/headers/tomcrypt_cfg.h
-    tomcrypt/src/headers/tomcrypt_cipher.h
-    tomcrypt/src/headers/tomcrypt_custom.h
-    tomcrypt/src/headers/tomcrypt.h
-    tomcrypt/src/headers/tomcrypt_hash.h
-    tomcrypt/src/headers/tomcrypt_mac.h
-    tomcrypt/src/headers/tomcrypt_macros.h
-    tomcrypt/src/headers/tomcrypt_math.h
-    tomcrypt/src/headers/tomcrypt_misc.h
-    tomcrypt/src/headers/tomcrypt_pkcs.h
-    tomcrypt/src/headers/tomcrypt_pk.h
-    tomcrypt/src/headers/tomcrypt_private.h
-    tomcrypt/src/headers/tomcrypt_prng.h
-    )
-target_include_directories(rbtomcrypt PUBLIC ${CMAKE_CURRENT_LIST_DIR}/tomcrypt/src/headers)
+find_library(LIBTOMCRYPT tomcrypt)
+if(${LIBTOMCRYPT} STREQUAL "LIBTOMCRYPT-NOTFOUND")
+    message("-- tomcrypt not found, building our own")
+    add_library(tomcrypt
+        tomcrypt/src/ciphers/aes/aes.c
+        tomcrypt/src/ciphers/aes/aes_tab.c
+        tomcrypt/src/misc/crypt/crypt_argchk.c
+        tomcrypt/src/misc/crypt/crypt_register_cipher.c
+        tomcrypt/src/misc/crypt/crypt_cipher_is_valid.c
+        tomcrypt/src/misc/crypt/crypt_cipher_descriptor.c
+        tomcrypt/src/misc/zeromem.c
+        tomcrypt/src/misc/compare_testvector.c
+        tomcrypt/src/modes/cbc/cbc_start.c
+        tomcrypt/src/modes/cbc/cbc_decrypt.c
+        tomcrypt/src/modes/cbc/cbc_encrypt.c
+        tomcrypt/src/hashes/sha1.c
+        tomcrypt/src/headers/tomcrypt_argchk.h
+        tomcrypt/src/headers/tomcrypt_cfg.h
+        tomcrypt/src/headers/tomcrypt_cipher.h
+        tomcrypt/src/headers/tomcrypt_custom.h
+        tomcrypt/src/headers/tomcrypt.h
+        tomcrypt/src/headers/tomcrypt_hash.h
+        tomcrypt/src/headers/tomcrypt_mac.h
+        tomcrypt/src/headers/tomcrypt_macros.h
+        tomcrypt/src/headers/tomcrypt_math.h
+        tomcrypt/src/headers/tomcrypt_misc.h
+        tomcrypt/src/headers/tomcrypt_pkcs.h
+        tomcrypt/src/headers/tomcrypt_pk.h
+        tomcrypt/src/headers/tomcrypt_private.h
+        tomcrypt/src/headers/tomcrypt_prng.h
+        )
+target_include_directories(tomcrypt PUBLIC ${CMAKE_CURRENT_LIST_DIR}/tomcrypt/src/headers)
+else()
+    message("-- Found libtomcrypt: ${LIBTOMCRYPT}")
+endif()
 
 add_library(skin_parser
     ${CMAKE_CURRENT_LIST_DIR}/../lib/skin_parser/skin_buffer.c
